Bug 822800 - SELinux is preventing polkit-agent-he from 'open' accesses on the file online.
SELinux is preventing polkit-agent-he from 'open' accesses on the file online.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
15
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:1b74d484b79...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 04:16 EDT by Frank Murphy
Modified: 2012-06-22 08:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 08:20:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2012-05-18 04:16:20 EDT
SELinux is preventing polkit-agent-he from 'open' accesses on the file online.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that polkit-agent-he should be allowed open access on the online file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep polkit-agent-he /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                online [ file ]
Source                        polkit-agent-he
Source Path                   polkit-agent-he
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-52.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.43.6-1.fc15.i686
                              #1 SMP Mon May 14 19:09:51 UTC 2012 i686 i686
Alert Count                   1
First Seen                    Fri 18 May 2012 09:10:13 IST
Last Seen                     Fri 18 May 2012 09:10:13 IST
Local ID                      ec1f1bde-6e93-494e-a0f5-16ec2153aa6c

Raw Audit Messages
type=AVC msg=audit(1337328613.881:91): avc:  denied  { open } for  pid=18310 comm="polkit-agent-he" name="online" dev="sysfs" ino=40 scontext=unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysfs_t:s0 tclass=file


Hash: polkit-agent-he,policykit_auth_t,sysfs_t,file,open

audit2allow

#============= policykit_auth_t ==============
allow policykit_auth_t sysfs_t:file open;

audit2allow -R

#============= policykit_auth_t ==============
allow policykit_auth_t sysfs_t:file open;
Comment 1 Frank Murphy 2012-05-18 04:20:47 EDT
Was installing a kernel from:
http://koji.fedoraproject.org/koji/buildinfo?buildID=319371
Had already\or was in the process of authenticating as root in a popup box.
when alert popped up.
Comment 2 Miroslav Grepl 2012-05-18 04:54:59 EDT
You can allow it for now using

# semanage permissive -a policykit_auth_t

Note You need to log in before you can comment on or make changes to this bug.